Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcConnection

    java.lang.Object
      |
      +--org.hsqldb.jdbcConnection

public class jdbcConnection
extends Object
implements Connection

Field Summary
`final static int` | `DEFAULT_HSQL_PORT`
`(package private) java.io.DataInputStream` | `dInput`
`(package private) java.io.DataOutputStream` | `dOutput`
`(package private) final static java.lang.String` | `ENCODING`
`(package private) java.net.Socket` | `sSocket`

Constructor Summary
`(package private)` | `jdbcConnection(java.lang.String , java.lang.String , java.lang.String )`
`(package private)` | `jdbcConnection(org.hsqldb.Channel )`

Method Summary
`void` | `clearWarnings()`
`void` | `close()`
`void` | `commit()`
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int , int )`
`(package private) org.hsqldb.jdbcResultSet` | `execute(java.lang.String )`
`void` | `finalize()`
`boolean` | `getAutoCommit()`
`java.lang.String` | `getCatalog()`
`java.sql.DatabaseMetaData` | `getMetaData()`
`(package private) java.lang.String` | `getName()`
`int` | `getTransactionIsolation()`
`java.util.Map` | `getTypeMap()`
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`java.lang.String` | `nativeSQL(java.lang.String )`
`java.sql.CallableStatement` | `prepareCall(java.lang.String )`
`java.sql.CallableStatement` | `prepareCall(java.lang.String , int , int )`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String )`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String , int , int )`
`void` | `rollback()`
`void` | `setAutoCommit(boolean )`
`void` | `setCatalog(java.lang.String )`
`void` | `setReadOnly(boolean )`
`void` | `setTransactionIsolation(int )`
`void` | `setTypeMap(java.util.Map )`
`(package private) boolean` | `usesLocalFiles()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_HSQL_PORT

    public final static int DEFAULT_HSQL_PORT

### dInput

    java.io.DataInputStream dInput

### dOutput

    java.io.DataOutputStream dOutput

### ENCODING

    final static java.lang.String ENCODING

### sSocket

    java.net.Socket sSocket

Constructor Detail

### jdbcConnection

    jdbcConnection(java.lang.String , java.lang.String , java.lang.String )

### jdbcConnection

    jdbcConnection(org.hsqldb.Channel )

Method Detail

### clearWarnings

    public void clearWarnings()

### close

    public void close()

### commit

    public void commit()

### createStatement

    public java.sql.Statement createStatement()

### createStatement

    public java.sql.Statement createStatement(int , int )

### execute

    org.hsqldb.jdbcResultSet execute(java.lang.String )

### finalize

    public void finalize()

### getAutoCommit

    public boolean getAutoCommit()

### getCatalog

    public java.lang.String getCatalog()

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()

### getName

    java.lang.String getName()

### getTransactionIsolation

    public int getTransactionIsolation()

### getTypeMap

    public java.util.Map getTypeMap()

### getWarnings

    public java.sql.SQLWarning getWarnings()

### isClosed

    public boolean isClosed()

### isReadOnly

    public boolean isReadOnly()

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String )

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String )

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String , int , int )

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String )

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String , int , int )

### rollback

    public void rollback()

### setAutoCommit

    public void setAutoCommit(boolean )

### setCatalog

    public void setCatalog(java.lang.String )

### setReadOnly

    public void setReadOnly(boolean )

### setTransactionIsolation

    public void setTransactionIsolation(int )

### setTypeMap

    public void setTypeMap(java.util.Map )

### usesLocalFiles

    boolean usesLocalFiles()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD